BeanDescriptor (Java Platform SE 8 )
Keywords: java.beans.BeanDescriptor class
Date: 2026-03-29

java.beans

## Class BeanDescriptor

- java.lang.Object
- - java.beans.FeatureDescriptor
  - - java.beans.BeanDescriptor

-     public class BeanDescriptor
      extends FeatureDescriptor

  A BeanDescriptor provides global information about a "bean", including its Java class, its displayName, etc.

  This is one of the kinds of descriptor returned by a BeanInfo object, which also returns descriptors for properties, method, and events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanDescriptor(Class<?> beanClass)` Create a BeanDescriptor for a bean that doesn't have a customizer.
    `BeanDescriptor(Class<?> beanClass, Class<?> customizerClass)` Create a BeanDescriptor for a bean that has a customizer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getBeanClass()` Gets the bean's Class object.
    `Class<?>` | `getCustomizerClass()` Gets the Class object for the bean's customizer.

    - ### Methods inherited from class java.beans.FeatureDescriptor

      `attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanDescriptor

          public BeanDescriptor(Class<?> beanClass)

      Create a BeanDescriptor for a bean that doesn't have a customizer.
      Parameters:
        `beanClass` - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.

    - #### BeanDescriptor

          public BeanDescriptor(Class<?> beanClass,
                                Class<?> customizerClass)

      Create a BeanDescriptor for a bean that has a customizer.
      Parameters:
        `beanClass` - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.
        `customizerClass` - The Class object of the Java class that implements the bean's Customizer. For example sun.beans.OurButtonCustomizer.class.

  - ### Method Detail

    - #### getBeanClass

          public Class<?> getBeanClass()

      Gets the bean's Class object.
      Returns:
        The Class object for the bean.

    - #### getCustomizerClass

          public Class<?> getCustomizerClass()

      Gets the Class object for the bean's customizer.
      Returns:
        The Class object for the bean's customizer. This may be null if the bean doesn't have a customizer.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.